<%@ Page Language="C#" %>
<%@ assembly name="MW6BarcodeASPNet" %>
<%@ import Namespace="System.Drawing" %>
<%@ import Namespace="System.Drawing.Drawing2D" %>
<%@ import Namespace="MW6BarcodeASPNet" %>
<script runat="server">

    void OutputImg()
    {
        Bitmap objBitmap;
        Graphics objGraphics;

        Response.ContentType = "image/Gif";

        int _ImgWidth = System.Convert.ToInt16(Request["Width"]);
        int _ImgHeight = System.Convert.ToInt16(Request["Height"]);
        
        objBitmap = new Bitmap(_ImgWidth, _ImgHeight);
        objGraphics = Graphics.FromImage(objBitmap);
        
        Barcode MyBarcode = new Barcode();
        MyBarcode.BackColor =  Color.FromName(Request.QueryString["BackColor"]);
        MyBarcode.BarColor =  Color.FromName(Request.QueryString["BarColor"]);
	MyBarcode.BarHeight = (float)1.5;
	MyBarcode.CheckDigit = (Request.QueryString["CheckDigit"]=="ON");
	MyBarcode.CheckDigitToText = (Request.QueryString["CheckDigitToText"]=="ON");
        MyBarcode.Data = Request.QueryString["Data"];
        MyBarcode.NarrowBarWidth = (float)System.Convert.ToDouble(Request.QueryString["NarrowBarWidth"]);
        MyBarcode.Orientation = (enumOrientation)System.Convert.ToInt16(Request.QueryString["Orientation"]);
	MyBarcode.SymbologyType = (enumSymbology)System.Convert.ToInt16(Request.QueryString["Symbology"]);
        MyBarcode.ShowText = (Request.QueryString["ShowText"]=="ON");
        MyBarcode.Wide2NarrowRatio = (float)System.Convert.ToDouble(Request.QueryString["Wide2NarrowRatio"]);
   
	Rectangle rc = new Rectangle(0, 0, _ImgWidth, _ImgHeight);
        MyBarcode.Render(objGraphics, rc);
        objGraphics.Flush();
        
        objBitmap.Save(Response.OutputStream, System.Drawing.Imaging.ImageFormat.Gif);
    }

</script>
<% OutputImg(); %>
